Subject: Re: bug#54470: 29.0.50; [PATCH] Add documentation/tests for Eshell argument expansion

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Mar 2022 10:19:05 +0300

> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> Date: Sun, 20 Mar 2022 13:57:26 -0700
> 
> >> +@table @code
> >> +
> >> +@item *
> >> +Matches any string (including the empty string).  For example,
> >> +@samp{*.el} matches any file with the @file{.el} extension.
> > 
> > You use @code in the @table, but @samp in the body, which will look
> > inconsistent in the printed version of the manual.  Please use one of
> > them (I think @samp is better).
> 
> Done. I only did this for the glob section though. Should I change the 
> items in the predicates/modifiers to use @samp too? They're different 
> enough that I'm not quite sure.
> 
> Or would @kbd be better to use here? These are things meant to be typed 
> by the user into an interactive prompt, after all...

For something that user should type, @kbd is appropriate, yes.  But
since these all are portions of file names, perhaps @file is the best
markup.

Thanks.